net.minecraft.pathfinding

## Class PathPoint

- java.lang.Object
- - net.minecraft.pathfinding.PathPoint

-     public class PathPoint
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `isFirst`
    `int` | `xCoord`
    `int` | `yCoord`
    `int` | `zCoord`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathPoint(int par1, int par2, int par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `distanceTo(PathPoint par1PathPoint)`
    `float` | `distanceToSquared(PathPoint par1PathPoint)`
    `boolean` | `equals(java.lang.Object par1Obj)`
    `int` | `hashCode()`
    `boolean` | `isAssigned()`
    `static int` | `makeHash(int par0, int par1, int par2)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### xCoord

          public final int xCoord

    - #### yCoord

          public final int yCoord

    - #### zCoord

          public final int zCoord

    - #### isFirst

          public boolean isFirst

  - ### Constructor Detail

    - #### PathPoint

          public PathPoint(int par1,
                   int par2,
                   int par3)

  - ### Method Detail

    - #### makeHash

          public static int makeHash(int par0,
                     int par1,
                     int par2)

    - #### distanceTo

          public float distanceTo(PathPoint par1PathPoint)

    - #### distanceToSquared

          public float distanceToSquared(PathPoint par1PathPoint)

    - #### equals

          public boolean equals(java.lang.Object par1Obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### isAssigned

          public boolean isAssigned()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`